# Portfolio Link Opener 🔗

A simple Python script that opens all portfolio links from the README.md file in your browser tabs automatically! No more clicking links one by one 😊

## What does it do? 🤔

Imagine you want to look at all the awesome portfolio websites in this repository. Instead of clicking hundreds of links manually, this script will:

1. Read all the links from the README file
2. Open each link in a new tab in your default browser
3. Tell you how many links it opened

## How to use it? 🚀

### Step 1: Requirements

- Make sure you have Python installed on your computer
- Download the `portfolio_opener.py` script

### Step 2: Run the script

1. Put the script in the same folder as the README.md file
2. Open your terminal/command prompt
3. Navigate to the folder containing the script
4. Run this command:
   ```bash
   python portfolio_opener.py


   ```

## Usage step by step

1. Make sure you have Python installed on your system
2. Navigate to the tools directory:

   ```bash
   cd tools

   ```

3. Run the script:

   ```bash
   portfolio_opener.py
   ```

4. Or specify a different markdown file:
   ```
   portfolio_opener.py -f ../README.md
   ```

## ⚠️ Important Notes

### About Opening Links

- This script opens all links from README.md in your default browser
- Opening too many links at once may slow down your browser or cause it to crash
- We recommend opening no more than 50 links at a time
- Keep the links in a file based on how many you want to open. For example, if you want to open 30 links, just add 30 links to the file. If you want 50, add 50 links, and so on
- If your computer can handle more tabs, feel free to open more!

### Browser Tips

- Your browser might ask permission to open multiple tabs
- If your browser slows down, just close some tabs and try again
- This is completely normal - don't worry!

### Recommendation

Start with 50 tabs first. If your computer handles it well, you can try opening more next time.

### 🎉 Have fun exploring all the amazing portfolios for inspiration!
